This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 110426 - rdist fails to build under 2.4.21-4.0.1.EL kernel
rdist fails to build under 2.4.21-4.0.1.EL kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rdist (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 10:22 EST by David E. Cox
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 06:45:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David E. Cox 2003-11-19 10:22:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
rdist misidentifies the OS as svr4 when rebulding under
kernel-2.4.21-4.0.1.EL

The error is in ./build/os-type, comparison of "uname -a" with *4.0*
matches and sets OS type to svr4.  The relevant line is

*"4.0"*)        OS=svr4;;       # There has to be a better way

I agree with the comment ;)




Version-Release number of selected component (if applicable):
rdist-6.1.5.30, kernel-2.4.21-4.0.1.EL

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild rdist-6.1.5-30.src.rpm
2.
3.
    

Actual Results:  install: cannot stat `src/rdist': No such file or
directory
error: Bad exit status from /var/tmp/rpm-tmp.57802 (%install)
 
 
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.57802 (%install)


Expected Results:  exit 0

Additional info:
Comment 1 Phil Knirsch 2003-11-19 11:22:03 EST
Urgs, now thats a really funny one. :-)

I guess the easiest way would be to simply check for Linux first in
the os-type check (which would catch that problem).

But i agree with the comment as well. ;-)

Will include a fix in one of the next rdist builds.

Read ya, Phil
Comment 2 Phil Knirsch 2003-12-17 06:45:15 EST
Fixed in latest rawhide version. And with newer errata kernels the
problem should go away, too. :-)

Read ya, Phil
Comment 3 John Flanagan 2004-05-12 00:45:47 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-077.html

Note You need to log in before you can comment on or make changes to this bug.